import { SchemaType, ValidateOptions, InnerValidateOptions } from './interface';
import StringValidator from './rules/string';
import NumberValidator from './rules/number';
import ArrayValidator from './rules/array';
import ObjectValidator from './rules/object';
import BooleanValidator from './rules/boolean';
import TypeValidator from './rules/type';
import CustomValidator from './rules/custom';
declare class Validate {
    number: NumberValidator;
    string: StringValidator;
    array: ArrayValidator;
    object: ObjectValidator;
    boolean: BooleanValidator;
    type: TypeValidator;
    custom: CustomValidator;
    constructor(obj: any, options: InnerValidateOptions);
}
declare const _default: (obj: any, options: ValidateOptions) => Validate;
export default _default;
export declare class Schema {
    schema: SchemaType;
    options: ValidateOptions;
    constructor(schema: SchemaType, options?: ValidateOptions);
    validate(values: {
        [key: string]: any;
    }, callback: any): void;
}
export { SchemaType, SchemaRuleType, ValidateOptions, ValidateMessagesType, ValidateMessagesTemplateType, } from './interface';
export { default as DefaultValidateMessage } from './message';
