import { ValidateMessagesType, ValidateMessagesTemplateType } from './interface';
export declare const mergeTemplate: (defaultValidateMessages: ValidateMessagesTemplateType, validateMessages: ValidateMessagesType) => ValidateMessagesType;
export declare const getTemplate: (validateMessages: ValidateMessagesType, keyPath: string) => Partial<{
    required: string;
    type: Record<"string" | "number" | "boolean" | "object" | "array" | "url" | "email" | "ip", (info: any) => any>;
    number: Record<"min" | "max" | "equal" | "range" | "positive" | "negative", (info: any) => any>;
    string: Record<"match" | "length" | "maxLength" | "minLength" | "uppercase" | "lowercase", (info: any) => any>;
    array: Record<"length" | "includes" | "maxLength" | "minLength" | "deepEqual" | "empty", (info: any) => any>;
    object: Record<"deepEqual" | "empty" | "hasKeys", (info: any) => any>;
    boolean: Record<"true" | "false", (info: any) => any>;
}>;
